/* hedaer__navbar-search */
:root {
    --primary-color: #fff;
    --boredr-color: #000;
}

.header {
   width: 100%;
   --height: 66px;
   height: var(--height);
   display: flex;
   align-items: center;
   justify-content: space-between;
   background-color: var(--primary-color);
   border-bottom: 1px solid #e8ebed;
   font-size: 1.4rem;
   padding: 0 28px;
   position: sticky;
   left: 0;
   right: 0;
   top: 0;
   will-change: transform;
   z-index: 20;
}
.header__slogan {
    display: flex;
    align-items: center;
    justify-content: center;    
}
.header__slogan img {
    width: 38px;
    height: 38px;
    border-radius: 8px;
    object-fit: contain;
    font-size: 18px;
    
}
.header__slogan h1 {
    font-size: 16px;
    display: inline-block;
    font-weight: 900;
    margin-left: 16px;


}

.header__search {
    border: 2px solid #e8e8e8;
    border-radius: 20px;
    width: 420px;
    height: 40px;
    padding: 0 16px 0 8px;
    align-items: center;
    display: flex;
    justify-content: center;
    position: relative; 

}
.header__search img {
    background-color: #fff;
    background-image: url(/static/media/search.9bd3926….svg);
    background-position: 50%;
    background-repeat: no-repeat;
    /* background-size: 5px; */
    border-radius: 50%;
    height: 20px;
    width: 30px;
    opacity: 0.7;
}
.header__search-input {
    border: none;
    outline: none;
    flex: 1 1;
    padding: 0 6px;
    font-size: 1.4rem;
    line-height: 1.15rem;
    margin: 0;
    font-family: inherit;
    overflow: visible;
    height: 100%;
    caret-color: #444;
}
.header__item {
    /* margin-right: 4px; */
}
.header__list-course {
    background-color: transparent;
    color: #333;
    cursor: pointer;
    font-size: 1.4rem;
    font-weight: 600;
    margin-right: 16px;
    padding: 8px;
}
.header__list-notify {
    font-size: 1.4rem;
    margin-right: 16px;
    padding: 8px;
}
.header__list-notify-icon {
    color: #707070;
    font-size: 1.8rem;
    cursor: pointer;
}
.header__list-notify .header__list-notify-icon:hover {
    color: violet;
    /* do icon khác với trang f8 */
}
.header__list-user {
    border-radius: 50%;
    cursor: pointer;
    height: 28px;
    margin-left: 12px;
    object-fit: cover;
    width: 28px;
    

}
.header__list-user-icon {
    color: #707070;
    font-size: 1.8rem;

}
.slider {
    display: flex;
    min-height: 100vh;
    /* position: relative; */
    
}
.slider__wrapper {
    width: 96px;
    display: flex;
    align-items: center;
    flex-direction: column;
    flex-shrink: 0;
    top: 0;
    left: 0;
    padding: 0 8px;
    position: sticky;
    /* position: fixed; */
    /* position: relative; */
    z-index: 8;

}

.slider__category {
    width: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    /* position: sticky; */
    padding: 35px 48px;
    z-index: 8;
    left: 0;
    cursor: pointer;
}
.slider__category-icon {
    overflow: visible;
    box-sizing: content-box;
    background-color: #1473e6;
    border-color: #1473e6;
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 8px 0 2px;
    user-select: none;
    height: 44px;
    width: 44px;
    font-size: 1.4rem;
    font-weight: 800;
    position: absolute;

}
.slider__list {
  list-style-type: none;
  width: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 64px 4px;
  position: sticky;
  left: 0;
  z-index: 8;
  padding-left: 46px;
  cursor: pointer;
  position: absolute;

}
.slider__item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 16px;
    color: #404040;
    margin-top: 8px;
    height: 72px;
    width: 72px;
    font-weight: 900;
    outline: none;
    text-decoration: none;
}
.slider__item span {
    font-size: 1.1rem;
    font-weight: 600;
    margin-top: 6px;
}
.slider__item-icon {
    font-size: 2rem;
}
.slider__item-first {
    font-size: 1.2rem;
    background-color: #e8ebed;
    color: #1a1a1a;
    border-radius: 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    margin-top: 4px;
    height: 72px;
    width: 72px;
    font-weight: 550;
}
.slider__list .slider__item:hover {
    background-color: #e8ebed;
    color: #1a1a1a;
}
.slider__content {
    /* max-width: calc(100% - 96px); */
    padding: 0 40px 0 20px;
    flex: 1 1;
}
.slider__content-homepage {
    max-width: 1950px;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0 auto;
}
.slider__content-top {
    margin-top: 18px;
}
.slider__content-wrapper {
    outline: none;
    /* display: block;
    float: left;
    width: 959px;
    height: 100%; */
    min-height: 276px;
}
.slider__content-board {
    background: linear-gradient(to right, rgb(118, 18, 255), rgb(5, 178, 255));
    display: flex;
    border-radius: 16px;
    overflow: hidden;
    height: 270px;
}
.slider__content-left {
 
    width: 100%;
    display: inline-block;
}
.slider__content-left-wrapper {
    color: #fff;
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    justify-content: center;
    font-size: 1.6rem;
    line-height: 1.6;
    max-width: 100%;
    padding: 0 36px 36px;
    width: 640px;
}
.slider__content-left-wrapper .slider__content-left-end:hover {
    background-color: #fff;
    color: #7612ff;
}
.slider__content-left-wrapper h2 {
    margin-bottom: 8px;
    font-weight: 600;
}
.slider__content-left-wrapper .slider__content-left-heading a {
    color: #fff;
    font-size: 3.4rem;
    font-weight: 700;
    line-height: 1.5;
    background-color: transparent;
    text-decoration: none;

}
.slider__content-left-advert {
    margin-bottom: 24px;
    margin-top: 0;
    max-width: 600px;
    font-weight: 200;
    font-size: 1.5rem;
}
.slider__content-left-end {
    outline: none;
    text-decoration: none;
    border: 2px solid #fff;
    border-radius: 16px;
    color: #fff;
    display: inline-block;
    font-size: 1.4rem;
    font-weight: 600;
    min-width: 124px;
    padding: 4px 10px;
    text-align: center;
    transition: .2s ease;
}
.slider__content-right {
    display: flex;
    flex: 3 1;
    justify-content: flex-end;
}
.slider__content-right {
    outline: none;
    text-decoration: none;
}
.slider__content-art {
    height: 100%;
    object-fit: cover;
}
.slider__home-content {
    margin-top: 70px;
    overflow: hidden;
    padding: 0 44px 74px;
    box-sizing: inherit;
    position: absolute;
}
/* .slider__home-vertical {
    margin-bottom: 8px;
} */
.slider__home-sub-heading {
    color: #82919b;
    font-size: 1.4rem;
    margin-bottom: 0;
}
.slider__home-heading {
    display: flex;
    align-items: baseline;
}
.slider__home-heading h2 {
    color: #242424;
    font-size: 2.4rem;
    font-weight: 900;
    margin-right: auto;
    margin-top: 16px;
}
.slider__home-heading-color {
    color: #000;
    text-decoration: none;
}
.slider__home-label {
    background-color: #1473e6;
    border-radius: 4px;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 500;
    padding: 3px 6px;
    position: relative;
    right: -8px;
    text-transform: uppercase;
    top: -5px;
    text-decoration: none;
    list-style-type: none;
}
.slider__home-view {
    color: #f05123;
    background-color: transparent;
    cursor: pointer;
    font-size: 1.6rem;
    font-weight: 600;
    margin-right: 4px;
    padding: 8px 0 8px 8px;
    user-select: none;
    text-decoration: none;
}
.slider__home-view-icon {
    font-size: 1.2rem;
    margin-left: 4px;
    position: relative;
    top: -1px;
    height: 1em;
    vertical-align: -0.125em;
}
.slider__home-list {
    min-height: 200px;
    padding-bottom: 0;
    
}
.sldier__home-item {
    margin-left: -12px;
    margin-right: -12px;
}
.slider__home-module {
    width: 100%;
    display: inline-block;

}
.slider__home-item-wrapper {
    flex-shrink: 0;
    margin-bottom: 32px;
    overflow: hidden;
}
.slider__home-item-art {
    background-image: url(https://files.fullstack.edu.vn/f8-prod/courses/7.png);
    background-color: rgba(0,0,0,.1);
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 16px;
    display: block;
    object-fit: cover;
    overflow: hidden;
    padding-top: 56.25%;
    position: relative;
    width: 100%;
}
.slider__home-item-art::after {
    background-color: rgba(0,0,0,.5);
    content: "";
    inset: 0;
    opacity: 0;
    position: absolute;
    visibility: hidden;
}
.button-btn {
    background-color: #fff;
    border-color: #fff;
    color: #000;
    left: 50%;
    opacity: 0;
    position: absolute;
    top: 60%;
    transform: translate(-50%,-50%);
    visibility: hidden;
    z-index: 1;
}
.slider__home-title h3 {
    font-weight: 600;
}
.slider__home-title a {
    word-wrap: break-word;
    color: #292929;
    display: -webkit-box;
    font-size: 1.6rem;
    line-height: 1.4rem;
    height: 1.4rem;
    overflow: hidden;
    text-decoration: none;
    outline: none;
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
}
.slider_student-course {
    color: #666;
    font-size: 1.4rem;
}
.slider__home-post-item {
    align-items: center;
    display: flex;
}
.slider__home-post-item img {
    border-radius: 50%;
    flex-shrink: 0;
    height: 20px;
    margin-right: 8px;
    object-fit: cover;
    width: 20px;
}
.slider__home-post-item strong {
    color: #292929;
}
.slider__home-post-i {
    margin: 0 8px;
}
.slider__home-post-i a {
    color: #757575;
    font-size: 1.4rem;
    text-decoration: none;
}
/* footer */
/* .footer {
    background-color: #181821;
    color: #a9b3bb;
    overflow: hidden;
    padding: 68px 0 40px;
    
}
.footer__slogan {
    display: flex;
    align-items: center;
    justify-content: center;  
}
.footer__logan img {
    width: 38px;
    height: 38px;
    border-radius: 8px;
    object-fit: contain;
    font-size: 18px;
}
.footer__logan h3 {
    font-size: 16px;
    display: inline-block;
    font-weight: 900;
    margin-left: 16px;
} */